Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3954 - PAM-ified 'su' does not support pam_putenv()
Summary: PAM-ified 'su' does not support pam_putenv()
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sh-utils
Version: 6.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL: http://www.engin.umich.edu/caen/syste...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-09 00:56 UTC by wingc
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-29 01:33:13 UTC


Attachments (Terms of Use)

Description wingc 1999-07-09 00:56:25 UTC
The PAM patch to 'su' does not support pam_putenv(). Some
PAM modules expect to be able to set environment variables
in the child process. A prime example is Kerberos PAM
modules, which want to set the KRBTKFILE environment
variables both for security reasons and to allow a single
user to have multiple 'Kerberos sessions' each with
different ticket files.

Here is a patch that enables this functionality; please
apply it or something like it to the next version of Red
Hat:

http://www.engin.umich.edu/caen/systems/Linux/code/patches/sh-utils-1.16-morepam.patch


Thank you very much,

Chris Wing
wingc@engin.umich.edu

Comment 1 Cristian Gafton 1999-07-29 01:33:59 UTC
Fixed in sh-utils-1.16-24 and later.

Thanks,


Note You need to log in before you can comment on or make changes to this bug.